// ------------------------------------------------------------------------------
//      OSCsharp class for World of Mush.
//      by Rob Hamilton
//      Mono Runtime Version: 4.0.30319.1
// ------------------------------------------------------------------------------
using System;

using OSCsharp.Net;
using OSCsharp.Data;

public class OSCScript
{
	public UDPTransmitter oscTransmitter;
	public OscPacket testOscPacket;
	public OscMessage controllerOscMessage;

	private String playerNamespace = "/robs-awesome-world/player";
	private String jumpNamespace = "/mush/player/jump";

	public OSCScript ()
	{	
		oscTransmitter = setOSCTarget ("127.0.0.1", 6666);
		oscTransmitter.Connect ();
	}

	public OSCScript (string ip, int port)
	{

		oscTransmitter = setOSCTarget (ip, port);
		oscTransmitter.Connect ();
	}
		
	UDPTransmitter setOSCTarget(string ip, int port)
	{
		return new UDPTransmitter (ip, port);
	}

	public void sendOSCPlayerPosition(float x, float y)//, float velX, float velY)//, bool facingRight)
	{
		controllerOscMessage = new OscMessage (playerNamespace);
		controllerOscMessage.Append (x);
		controllerOscMessage.Append (y);
		//controllerOscMessage.Append (velX);
		//controllerOscMessage.Append (velY);
			
//		if (facingRight) {
//			controllerOscMessage.Append (1);
//		} else {
//			controllerOscMessage.Append (0);
//		}
			
		oscTransmitter.Send (controllerOscMessage);
	}

	public void sendOSCPlayerJump(float jumpSpeed)
	{	
		controllerOscMessage = new OscMessage (jumpNamespace);
		controllerOscMessage.Append (jumpSpeed);
		oscTransmitter.Send (controllerOscMessage);
	}
			
}


